EDIT - bug #7323

RegistrationVoter ignores uuid if propery given
03/21/2018 05:48 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version: Release 4.14
Description

example:

A user has the GrantedAuthority REGISTRATION(PREPARATION).[UPDATE]{adcf279b-56dd-4488-8e21-7dfecf96f53¢e}

The application requires the authority REGISTRATION.[UPDATE]{ab4459¢eb-3b96-40ba-bfaa-36915107d59¢}

The RegistrationVoter gives the vote ACCESS_GRANTED (=1).

Related issues:

Related to EDIT - feature request #7026: RegistrationVoter evaluates CdmAutho... Closed

Associated revisions

Revision 1250b949 - 03/21/2018 06:18 PM - Andreas Kohlbecker

fix #7323 adding missing uuid match check in furtherVotingDescissions()

History

#1 - 03/21/2018 06:19 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib[1250b949eaeec10f5ed3432cfcb6148b5b69b433.

#2 - 03/21/2018 06:24 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Target version changed from Unassigned CDM tickets to Release 5.0

tests implemented and also tested in vaadin Registration ui

#3 - 03/21/2018 06:24 PM - Andreas Kohlbecker
- % Done changed from 50 to 100

#4 - 03/23/2018 11:28 AM - Andreas Kohlbecker

- Related to feature request #7026: RegistrationVoter evaluates CdmAuthorities with RegistrationStatus properties added
